%define upstream_name    Pod-Coverage-TrustPod
%define upstream_version 0.100006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Allow a module's pod to contain Pod::Coverage hints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Pod::Coverage::CountParents)
BuildRequires: perl(Pod::Eventual::Simple)
BuildRequires: perl(Pod::Find)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is a Pod::Coverage subclass (actually, a subclass of
Pod::Coverage::CountParents) that allows the POD itself to declare certain
symbol names trusted.

Here is a sample Perl module:

    package Foo::Bar;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.100.6-2.mga10
+ Revision: 2217115
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 0.100.6-1.mga9
+ Revision: 1929023
- update to 0.100006

* Mon Mar 21 2022 umeabot <umeabot> 0.100.5-4.mga9
+ Revision: 1810102
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.5-3.mga8
+ Revision: 1506030
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.100.5-2.mga7
+ Revision: 1285738
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 tv <tv> 0.100.5-1.mga7
+ Revision: 1209280
- update to 0.100005

* Wed Mar 07 2018 shlomif <shlomif> 0.100.4-1.mga7
+ Revision: 1207235
- update to 0.100004

* Sun Jun 19 2016 pterjan <pterjan> 0.100.3-6.mga6
+ Revision: 1032272
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.100.3-5.mga6
+ Revision: 940846
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.3-4.mga5
+ Revision: 746225
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.100.3-3.mga5
+ Revision: 733266
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.3-2.mga5
+ Revision: 685997
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.100.3-1.mga5
+ Revision: 585571
- update to 0.100003

* Fri Oct 18 2013 umeabot <umeabot> 0.100.2-3.mga4
+ Revision: 514172
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.2-2.mga3
+ Revision: 371903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.100.2-1.mga3
+ Revision: 255350
- update to 0.100002

* Fri Jul 08 2011 jquelin <jquelin> 0.100.1-1.mga2
+ Revision: 120465
- update to 0.100001

* Mon Apr 11 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 83373
- update to 0.100000

* Fri Jan 21 2011 jquelin <jquelin> 0.92.832-1.mga1
+ Revision: 29720
- mageia rebuild
- imported package perl-Pod-Coverage-TrustPod

